org.apache.maven.scm.provider.hg.command.diff

## Class HgDiffConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.hg.command.HgConsumer
    - - org.apache.maven.scm.provider.hg.command.diff.HgDiffConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class HgDiffConsumer
      extends HgConsumer

  Version:
    $Id: HgDiffConsumer.java 691832 2008-09-03 23:54:44Z vsiveton $
  Author:
    thurner rupert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HgDiffConsumer(ScmLogger logger, File workingDirectory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(String line)`
    `List` | `getChangedFiles()`
    `Map` | `getDifferences()`
    `String` | `getPatch()`

    - ### Methods inherited from class org.apache.maven.scm.provider.hg.command.HgConsumer

      `doConsume, getStdErr`

    - ### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

      `getLogger, parseDate, parseDate, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HgDiffConsumer

          public HgDiffConsumer(ScmLogger logger,
                        File workingDirectory)

  - ### Method Detail

    - #### consumeLine

          public void consumeLine(String line)

      Specified by:
        `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`
      Overrides:
        `consumeLine` in class `HgConsumer`

    - #### getChangedFiles

          public List getChangedFiles()

    - #### getDifferences

          public Map getDifferences()

    - #### getPatch

          public String getPatch()

Copyright © 2003–2015. All rights reserved.